"""
neko atsume cat game

Name:
Date:
"""

from utils import *
from cat import *
from item import *
from yard import *
from store import *
from random import *
from graphics import *
from yardDrawer import *
from buttonUtils import *

def main():
    cats = loadCats("cats-graphics.txt")
    items = loadItems("items-graphics.txt")
    store = Store(items)
    yard = Yard(4)

    win = GraphWin("Neko Swatsumi", 540, 850)
    background = Image(Point(270,425), "images/background.png")
    background.draw(win)

    updateButton = makeTextButton(win, 10, 10, 110, 40, "Update")
    shopButton = makeTextButton(win, 120, 10, 220, 40, "Shop")
    albumButton = makeTextButton(win, 230, 10, 330, 40, "Album")
    quitButton = makeTextButton(win, 340, 10, 440, 40, "Quit")

    yardDrawer = YardDrawer(win, yard)

    album = []
    fishes = 200
    fishText = Text(Point(485, 25), "Fish: "+str(fishes))
    fishText.draw(win)

    done = False
    while not done:
        pos = win.getMouse() 
        if clickInButton(pos, updateButton):
            fishes = update(yard,cats,album,fishes)
        elif clickInButton(pos, shopButton):
            fishes = shop(store,yard,fishes)
        elif clickInButton(pos, albumButton):
            show(album)
        elif clickInButton(pos, quitButton):
            done = True
        fishText.setText("Fish: "+str(fishes))
        yardDrawer.draw()
    print("\nMeow....\n")

#
# your functions here

def shop(store, yard, fishes):
    # TODO
    return fishes

def show(album):
    # TODO

def update(yard,cats,album,fishes):
    # TODO: Your code here!
    return fishes

main()
